# __gnu_cxx::_UnaryFunctionConcept< _Func, void, _Arg > Struct Template Reference

List of all members.

## Detailed Description

### template<class _Func, class _Arg>
struct __gnu_cxx::_UnaryFunctionConcept< _Func, void, _Arg >

Definition at line 347 of file boost_concept_check.h.

## Public Member Functions

- void __constraints ()

## Public Attributes

- _Arg __arg
- _Func __f

The documentation for this struct was generated from the following file:

- boost_concept_check.h